package com.gihon.security.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 视图跳转控制器
 */
@Controller
public class DispatcherController {
    @RequestMapping(value={"/fail"}, method = {RequestMethod.GET, RequestMethod.POST})
    public String toFail(){
        System.out.println("fail");
        return "/fail";
    }

    @RequestMapping(value={"/success"}, method = {RequestMethod.GET, RequestMethod.POST})
    public String toSuccess(){
        return "success";
    }

    // 跳转到登录页面
    @GetMapping("/")
    public String toLogin(){
        return "login";
    }
}
