package com.gihon.common.exception;

import com.gihon.common.web.response.ResponseStatus;

/**
 * 未登录异常
 * @author edz
 *
 */
public class LoginException extends BaseException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3469609789490525054L;
	
	public LoginException(String message) {
		super(message);
	}
	public LoginException(ResponseStatus status) {
		this(status.getDesc());
		this.status=status;
	}
	public ResponseStatus getStatus() {
		return status==null?ResponseStatus.UNAUTHORIATION:status;
	}
}
