package com.gihon.role.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gihon.common.web.response.Response;
import com.gihon.role.mapper.RoleMapper;
import com.gihon.role.entity.Role;
import com.gihon.role.service.RoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @program: common-parent
 * @description:
 * @author: dl
 * @create: 02月20日 13时
 **/
@Service
public class RoleServiceImpl extends ServiceImpl<RoleMapper,Role> implements RoleService {
    @Autowired
    private RoleMapper roleMapper;
    @Override
    public Response<List<Role>> findPermissionByRoleId(Long id) {
        List<Role> roles = roleMapper.selectPermissionByRoleId(id);

        return  Response.ok(roles);
    }
}
