package com.gihon.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gihon.common.web.response.PageResponse;
import com.gihon.common.web.response.Response;
import com.gihon.user.entity.User;

import java.util.List;

public interface UserService  extends IService<User> {

    PageResponse<User> getByPage(int page, int rows);

    Response<User> addUser(User user);

    List<String> findPermissionsByUserId(Long id);

    Response addRole4User(User user, Long[] id);
}
