package com.gihon.common.exception;

import com.gihon.common.web.response.ResponseStatus;

/**
 * 基础的异常信息
 * 
 * @author edz
 *
 */
public class BaseException extends RuntimeException {

	private static final long serialVersionUID = -7215389847384607920L;
	
	protected ResponseStatus status;

	public BaseException(String message) {
		super(message);
	}

	public BaseException(ResponseStatus status) {
		this(status.getDesc());
		this.status=status;
	}

	public ResponseStatus getStatus() {
		return status==null?ResponseStatus.ERROR:status;
	}

	public void setStatus(ResponseStatus status) {
		this.status = status;
	}
	
	
}
